unit euroform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    InputEdit: TEdit;
    MuntLabel: TLabel;
    Label2: TLabel;
    EuroLabel: TLabel;
    BEFLabel: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    EuroButton: TButton;
    BEFButton: TButton;
    procedure EuroButtonClick(Sender: TObject);
    procedure BEFButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{ Event handler voor EuroButton: conversie van Euro naar BEF.
  Toont de naam van de start-munteenheid, converteert de tekst
  van de Edit-box naar Belgische frank, toont de resultaten    }
procedure TForm1.EuroButtonClick(Sender: TObject);
var
  Euro, Fr: real;
  S1, S2: string;
begin
  // Toon de naam van de start-munteenheid
  MuntLabel.Caption := 'Euro';

  // Converteer tekst van de EDIT naar een numerieke waarde
  Euro := StrToFloat(InputEdit.Text);

  // Converteer Euro naar BEF
  Fr := Euro * 40.3399;

  { Converteer de floating point getallen naar string-formaat.
    '0.00' is de "Format String" en betekent:
    'geef het resultaat met 2 cijfers na de komma'            }
  S1 := FormatFloat('0.00', Euro);
  S2 := FormatFloat('0.00', Fr);

  // Plaats de strings in de CAPTION van de LABELs
  EuroLabel.Caption := S1;
  BEFLabel.Caption := S2;
end;

{ Event handler voor BEFButton: conversie van BEF naar Euro.
  Toont de naam van de start-munteenheid, converteert de tekst
  van de Edit-box naar Euro, toont de resultaten              }
procedure TForm1.BEFButtonClick(Sender: TObject);
var
  Euro, Fr: real;
  S1, S2: string;
begin
  // Toon de naam van de start-munteenheid
  MuntLabel.Caption := 'BEF';

  // Converteer de tekst van de EDIT naar numerieke waarde
  Fr := StrToFloat(InputEdit.Text);

  // Converteer BEF naar Euro
  Euro := Fr / 40.3399;

  { Converteer de floating point getallen naar string-formaat.
    '0.00' is de "Format String" en betekent:
    "geef het resultaat met 2 cijfers na de komma"            }
  S1 := FormatFloat('0.00', Euro);
  S2 := FormatFloat('0.00', Fr);

  // Plaats de strings in de CAPTION van de LABELs
  EuroLabel.Caption := S1;
  BEFLabel.Caption := S2;
end;

end.
